#ifndef __lcd_ctl_h__
	#define __lcd_ctl_h__

#include <IO.H>

	void putchar(char c);
	void gotoz(unsigned char z);
	void init_lcd(void);
	void clrscr(void);
	void lcd_send(unsigned char data);
	void lcd_wait(void);
	void lcd_pulse(void);
	void delay(int ticks);
	void outtext(char* text);
	void gotoxy(int x, int y);

#define lcd_set_rs() sbi(PORTC, 0)		// Data
#define lcd_set_rw() sbi(PORTC, 1)		// Read
#define lcd_set_e()  sbi(PORTC, 2)		// LCD enable
#define lcd_clear_rs() cbi(PORTC, 0)	// Instruction
#define lcd_clear_rw() cbi(PORTC, 1)	// Write
#define lcd_clear_e()  cbi(PORTC, 2)	// LCD disable

#endif


