/*******************************************/
/* Main.h                                  */
/*******************************************/

#include <IO.h>
#include <pgmspace.h>
#include "global.h"





VSS_DATA       Vss_data;                      /* Visible satellites status data     */
POSITION_DATA  Position_data;                 /* Position data                      */

//int            InBufIdx = 0;                  /* Index of InBuf                     */
//unsigned char  InBuf[IN_BUF_LEN];             /* Buffer to save streams             */

/* Global functions */
int   NBIP_parse_buf(unsigned char *buf, int len);


/* Local  functions */
void  NBIP_init_data(void);
int   get_message_type(int index);
void  parse_PTSR(unsigned char* buf, int len);
void  parse_VSSMR(unsigned char* buf);
long  convert_value(unsigned char* msg, int start, int end);
short convert_int(unsigned char* msg, int start, int end);

